<?php
/*
 * @copyright Copyright (c) 2024 AltumCode (https://altumcode.com/)
 *
 * This software is exclusively sold through https://altumcode.com/ by the AltumCode author.
 * Downloading this product from any other sources and running it without a proper license is illegal,
 *  except the official ones linked from https://altumcode.com/.
 */

return [
    'image_optimizer' => [
        'icon' => 'fas fa-image',
        'category' => 'misc_tools',
    ],

    'youtube_thumbnail_downloader' => [
        'category' => 'misc_tools',
        'icon' => 'fab fa-youtube'
    ],

    'qr_code_reader' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-qrcode',
        'similar' => [
            'barcode_reader',
        ]
    ],

    'barcode_reader' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-barcode',
        'similar' => [
            'qr_code_reader',
        ]
    ],

    'exif_reader' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-camera',
        'similar' => [
            'qr_code_reader',
        ]
    ],

    'color_picker' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-palette'
    ],

    'hex_to_hexa' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill',
        'similar' => [
            'hex_to_rgb',
            'hex_to_rgba',
            'hex_to_hsv',
            'hex_to_hsl',
            'hex_to_hsla',
        ]
    ],

    'hex_to_rgb' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill',
        'similar' => [
            'hex_to_hexa',
            'hex_to_rgba',
            'hex_to_hsv',
            'hex_to_hsl',
            'hex_to_hsla',
        ]
    ],

    'hex_to_rgba' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill',
        'similar' => [
            'hex_to_hexa',
            'hex_to_rgb',
            'hex_to_hsv',
            'hex_to_hsl',
            'hex_to_hsla',
        ]
    ],

    'hex_to_hsv' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill',
        'similar' => [
            'hex_to_hexa',
            'hex_to_rgb',
            'hex_to_rgba',
            'hex_to_hsl',
            'hex_to_hsla',
        ]
    ],

    'hex_to_hsl' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill',
        'similar' => [
            'hex_to_hexa',
            'hex_to_rgb',
            'hex_to_rgba',
            'hex_to_hsv',
            'hex_to_hsla',
        ]
    ],

    'hex_to_hsla' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill',
        'similar' => [
            'hex_to_hexa',
            'hex_to_rgb',
            'hex_to_rgba',
            'hex_to_hsv',
            'hex_to_hsl',
        ]
    ],

    'hexa_to_hex' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-tint',
        'similar' => [
            'hexa_to_rgb',
            'hexa_to_rgba',
            'hexa_to_hsv',
            'hexa_to_hsl',
            'hexa_to_hsla',
        ]
    ],

    'hexa_to_rgb' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-tint',
        'similar' => [
            'hexa_to_hex',
            'hexa_to_rgba',
            'hexa_to_hsv',
            'hexa_to_hsl',
            'hexa_to_hsla',
        ]
    ],

    'hexa_to_rgba' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-tint',
        'similar' => [
            'hexa_to_hex',
            'hexa_to_rgb',
            'hexa_to_hsv',
            'hexa_to_hsl',
            'hexa_to_hsla',
        ]
    ],

    'hexa_to_hsv' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-tint',
        'similar' => [
            'hexa_to_hex',
            'hexa_to_rgb',
            'hexa_to_rgba',
            'hexa_to_hsl',
            'hexa_to_hsla',
        ]
    ],

    'hexa_to_hsl' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-tint',
        'similar' => [
            'hexa_to_hex',
            'hexa_to_rgb',
            'hexa_to_rgba',
            'hexa_to_hsv',
            'hexa_to_hsla',
        ]
    ],

    'hexa_to_hsla' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-tint',
        'similar' => [
            'hexa_to_hex',
            'hexa_to_rgb',
            'hexa_to_rgba',
            'hexa_to_hsv',
            'hexa_to_hsl',
        ]
    ],

    'rgb_to_hex' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-eye-dropper',
        'similar' => [
            'rgb_to_hexa',
            'rgb_to_rgba',
            'rgb_to_hsv',
            'rgb_to_hsl',
            'rgb_to_hsla',
        ]
    ],

    'rgb_to_hexa' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-eye-dropper',
        'similar' => [
            'rgb_to_hex',
            'rgb_to_rgba',
            'rgb_to_hsv',
            'rgb_to_hsl',
            'rgb_to_hsla',
        ]
    ],

    'rgb_to_rgba' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-eye-dropper',
        'similar' => [
            'rgb_to_hex',
            'rgb_to_hexa',
            'rgb_to_hsv',
            'rgb_to_hsl',
            'rgb_to_hsla',
        ]
    ],

    'rgb_to_hsv' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-eye-dropper',
        'similar' => [
            'rgb_to_hex',
            'rgb_to_hexa',
            'rgb_to_rgba',
            'rgb_to_hsl',
            'rgb_to_hsla',
        ]
    ],

    'rgb_to_hsl' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-eye-dropper',
        'similar' => [
            'rgb_to_hex',
            'rgb_to_hexa',
            'rgb_to_rgba',
            'rgb_to_hsv',
            'rgb_to_hsla',
        ]
    ],

    'rgb_to_hsla' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-eye-dropper',
        'similar' => [
            'rgb_to_hex',
            'rgb_to_hexa',
            'rgb_to_rgba',
            'rgb_to_hsv',
            'rgb_to_hsl',
        ]
    ],

    'rgba_to_hex' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-brush',
        'similar' => [
            'rgba_to_hexa',
            'rgba_to_rgb',
            'rgba_to_hsv',
            'rgba_to_hsl',
            'rgba_to_hsla',
        ]
    ],

    'rgba_to_hexa' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-brush',
        'similar' => [
            'rgba_to_hex',
            'rgba_to_rgb',
            'rgba_to_hsv',
            'rgba_to_hsl',
            'rgba_to_hsla',
        ]
    ],

    'rgba_to_rgb' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-brush',
        'similar' => [
            'rgba_to_hex',
            'rgba_to_hexa',
            'rgba_to_hsv',
            'rgba_to_hsl',
            'rgba_to_hsla',
        ]
    ],

    'rgba_to_hsv' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-brush',
        'similar' => [
            'rgba_to_hex',
            'rgba_to_hexa',
            'rgba_to_rgb',
            'rgba_to_hsl',
            'rgba_to_hsla',
        ]
    ],

    'rgba_to_hsl' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-brush',
        'similar' => [
            'rgba_to_hex',
            'rgba_to_hexa',
            'rgba_to_rgb',
            'rgba_to_hsv',
            'rgba_to_hsla',
        ]
    ],

    'rgba_to_hsla' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-brush',
        'similar' => [
            'rgba_to_hex',
            'rgba_to_hexa',
            'rgba_to_rgb',
            'rgba_to_hsv',
            'rgba_to_hsl',
        ]
    ],

    'hsv_to_hex' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-swatchbook',
        'similar' => [
            'hsv_to_hexa',
            'hsv_to_rgb',
            'hsv_to_rgba',
            'hsv_to_hsl',
            'hsv_to_hsla',
        ]
    ],

    'hsv_to_hexa' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-swatchbook',
        'similar' => [
            'hsv_to_hex',
            'hsv_to_rgb',
            'hsv_to_rgba',
            'hsv_to_hsl',
            'hsv_to_hsla',
        ]
    ],

    'hsv_to_rgb' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-swatchbook',
        'similar' => [
            'hsv_to_hex',
            'hsv_to_hexa',
            'hsv_to_rgba',
            'hsv_to_hsl',
            'hsv_to_hsla',
        ]
    ],

    'hsv_to_rgba' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-swatchbook',
        'similar' => [
            'hsv_to_hex',
            'hsv_to_hexa',
            'hsv_to_rgb',
            'hsv_to_hsl',
            'hsv_to_hsla',
        ]
    ],

    'hsv_to_hsl' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-swatchbook',
        'similar' => [
            'hsv_to_hex',
            'hsv_to_hexa',
            'hsv_to_rgb',
            'hsv_to_rgba',
            'hsv_to_hsla',
        ]
    ],

    'hsv_to_hsla' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-swatchbook',
        'similar' => [
            'hsv_to_hex',
            'hsv_to_hexa',
            'hsv_to_rgb',
            'hsv_to_rgba',
            'hsv_to_hsl',
        ]
    ],

    'hsl_to_hex' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill',
        'similar' => [
            'hsl_to_hexa',
            'hsl_to_rgb',
            'hsl_to_rgba',
            'hsl_to_hsv',
            'hsl_to_hsla',
        ]
    ],

    'hsl_to_hexa' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill-drip',
        'similar' => [
            'hsl_to_hex',
            'hsl_to_rgb',
            'hsl_to_rgba',
            'hsl_to_hsv',
            'hsl_to_hsla',
        ]
    ],

    'hsl_to_rgb' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill-drip',
        'similar' => [
            'hsl_to_hex',
            'hsl_to_hexa',
            'hsl_to_rgba',
            'hsl_to_hsv',
            'hsl_to_hsla',
        ]
    ],

    'hsl_to_rgba' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill-drip',
        'similar' => [
            'hsl_to_hex',
            'hsl_to_hexa',
            'hsl_to_rgb',
            'hsl_to_hsv',
            'hsl_to_hsla',
        ]
    ],

    'hsl_to_hsv' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill-drip',
        'similar' => [
            'hsl_to_hex',
            'hsl_to_hexa',
            'hsl_to_rgb',
            'hsl_to_rgba',
            'hsl_to_hsla',
        ]
    ],

    'hsl_to_hsla' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-fill-drip',
        'similar' => [
            'hsl_to_hex',
            'hsl_to_hexa',
            'hsl_to_rgb',
            'hsl_to_rgba',
            'hsl_to_hsv',
        ]
    ],

    'hsla_to_hex' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-paint-roller',
        'similar' => [
            'hsla_to_hexa',
            'hsla_to_rgb',
            'hsla_to_rgba',
            'hsla_to_hsv',
            'hsla_to_hsl',
        ]
    ],

    'hsla_to_hexa' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-paint-roller',
        'similar' => [
            'hsla_to_hex',
            'hsla_to_rgb',
            'hsla_to_rgba',
            'hsla_to_hsv',
            'hsla_to_hsl',
        ]
    ],

    'hsla_to_rgb' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-paint-roller',
        'similar' => [
            'hsla_to_hex',
            'hsla_to_hexa',
            'hsla_to_rgba',
            'hsla_to_hsv',
            'hsla_to_hsl',
        ]
    ],

    'hsla_to_rgba' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-paint-roller',
        'similar' => [
            'hsla_to_hex',
            'hsla_to_hexa',
            'hsla_to_rgb',
            'hsla_to_hsv',
            'hsla_to_hsl',
        ]
    ],

    'hsla_to_hsv' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-paint-roller',
        'similar' => [
            'hsla_to_hex',
            'hsla_to_hexa',
            'hsla_to_rgb',
            'hsla_to_rgba',
            'hsla_to_hsl',
        ]
    ],

    'hsla_to_hsl' => [
        'category' => 'misc_tools',
        'icon' => 'fas fa-paint-roller',
        'similar' => [
            'hsla_to_hex',
            'hsla_to_hexa',
            'hsla_to_rgb',
            'hsla_to_rgba',
            'hsla_to_hsv',
        ]
    ],
];
