CREATE TABLE `users` (
`user_id` bigint unsigned NOT NULL AUTO_INCREMENT,
`email` varchar(320) NOT NULL,
`password` varchar(128) DEFAULT NULL,
`name` varchar(64) NOT NULL,
`billing` text,
`api_key` varchar(32) DEFAULT NULL,
`token_code` varchar(32) DEFAULT NULL,
`twofa_secret` varchar(16) DEFAULT NULL,
`anti_phishing_code` varchar(8) DEFAULT NULL,
`one_time_login_code` varchar(32) DEFAULT NULL,
`pending_email` varchar(128) DEFAULT NULL,
`email_activation_code` varchar(32) DEFAULT NULL,
`lost_password_code` varchar(32) DEFAULT NULL,
`type` tinyint NOT NULL DEFAULT '0',
`status` tinyint NOT NULL DEFAULT '0',
`is_newsletter_subscribed` tinyint NOT NULL DEFAULT '0',
`has_pending_internal_notifications` tinyint NOT NULL DEFAULT '0',
`plan_id` varchar(16) NOT NULL DEFAULT '',
`plan_expiration_date` datetime DEFAULT NULL,
`plan_settings` longtext,
`plan_trial_done` tinyint DEFAULT '0',
`plan_expiry_reminder` tinyint DEFAULT '0',
`payment_subscription_id` varchar(64) DEFAULT NULL,
`payment_processor` varchar(16) DEFAULT NULL,
`payment_total_amount` float DEFAULT NULL,
`payment_currency` varchar(4) DEFAULT NULL,
`referral_key` varchar(32) DEFAULT NULL,
`referred_by` varchar(32) DEFAULT NULL,
`referred_by_has_converted` tinyint DEFAULT '0',
`language` varchar(32) DEFAULT 'english',
`currency` varchar(4) DEFAULT NULL,
`timezone` varchar(32) DEFAULT 'UTC',
`preferences` text,
`extra` text,
`datetime` datetime DEFAULT NULL,
`next_cleanup_datetime` datetime DEFAULT CURRENT_TIMESTAMP,
`ip` varchar(64) DEFAULT NULL,
`continent_code` varchar(8) DEFAULT NULL,
`country` varchar(8) DEFAULT NULL,
`city_name` varchar(32) DEFAULT NULL,
`device_type` varchar(16) DEFAULT NULL,
`browser_language` varchar(32) DEFAULT NULL,
`browser_name` varchar(32) DEFAULT NULL,
`os_name` varchar(16) DEFAULT NULL,
`last_activity` datetime DEFAULT NULL,
`total_logins` int DEFAULT '0',
`user_deletion_reminder` tinyint(4) DEFAULT '0',
`source` varchar(32) DEFAULT 'direct',
PRIMARY KEY (`user_id`),
KEY `plan_id` (`plan_id`),
KEY `api_key` (`api_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

INSERT INTO `users` (`user_id`, `email`, `password`, `api_key`, `referral_key`, `name`, `type`, `status`, `plan_id`, `plan_expiration_date`, `plan_settings`, `datetime`, `ip`, `last_activity`, `preferences`)
VALUES (1,'admin','$2y$10$uFNO0pQKEHSFcus1zSFlveiPCB3EvG9ZlES7XKgJFTAl5JbRGFCWy', md5(rand()), md5(rand()), 'AltumCode',1,1,'custom','2030-01-01 12:00:00', '{"teams_limit":0,"team_members_limit":0,"api_is_enabled":true,"affiliate_is_enabled":false,"no_ads":true,"enabled_tools":{"dns_lookup":true,"ip_lookup":true,"reverse_ip_lookup":true,"ssl_lookup":true,"whois_lookup":true,"ping":true,"http_headers_lookup":true,"safe_url_checker":true,"google_cache_checker":true,"url_redirect_checker":true,"password_strength_checker":true,"meta_tags_checker":true,"website_hosting_checker":true,"file_mime_type_checker":true,"gravatar_checker":true,"text_separator":true,"email_extractor":true,"url_extractor":true,"text_size_calculator":true,"duplicate_lines_remover":true,"text_to_speech":true,"idn_punnycode_converter":true,"case_converter":true,"character_counter":true,"list_randomizer":true,"reverse_words":true,"reverse_letters":true,"emojis_remover":true,"reverse_list":true,"list_alphabetizer":true,"upside_down_text_generator":true,"old_english_text_generator":true,"cursive_text_generator":true,"base64_encoder":true,"base64_decoder":true,"base64_to_image":true,"image_to_base64":true,"url_encoder":true,"url_decoder":true,"color_converter":true,"binary_converter":true,"hex_converter":true,"ascii_converter":true,"decimal_converter":true,"octal_converter":true,"morse_converter":true,"number_to_words_converter":true,"paypal_link_generator":true,"signature_generator":true,"mailto_link_generator":true,"utm_link_generator":true,"whatsapp_link_generator":true,"youtube_timestamp_link_generator":true,"slug_generator":true,"lorem_ipsum_generator":true,"password_generator":true,"random_number_generator":true,"uuid_v4_generator":true,"bcrypt_generator":true,"md2_generator":true,"md4_generator":true,"md5_generator":true,"whirlpool_generator":true,"sha1_generator":true,"sha224_generator":true,"sha256_generator":true,"sha384_generator":true,"sha512_generator":true,"sha512_224_generator":true,"sha512_256_generator":true,"sha3_224_generator":true,"sha3_256_generator":true,"sha3_384_generator":true,"sha3_512_generator":true,"html_minifier":true,"css_minifier":true,"js_minifier":true,"json_validator_beautifier":true,"sql_beautifier":true,"html_entity_converter":true,"bbcode_to_html":true,"markdown_to_html":true,"html_tags_remover":true,"user_agent_parser":true,"url_parser":true,"png_to_jpg":true,"png_to_webp":true,"png_to_bmp":true,"png_to_gif":true,"png_to_ico":true,"jpg_to_png":true,"jpg_to_webp":true,"jpg_to_gif":true,"jpg_to_ico":true,"jpg_to_bmp":true,"webp_to_jpg":true,"webp_to_gif":true,"webp_to_png":true,"webp_to_bmp":true,"webp_to_ico":true,"bmp_to_jpg":true,"bmp_to_gif":true,"bmp_to_png":true,"bmp_to_webp":true,"bmp_to_ico":true,"ico_to_jpg":true,"ico_to_gif":true,"ico_to_png":true,"ico_to_webp":true,"ico_to_bmp":true,"gif_to_jpg":true,"gif_to_ico":true,"gif_to_png":true,"gif_to_webp":true,"gif_to_bmp":true,"heic_to_png":true,"heic_to_gif":true,"heic_to_jpg":true,"youtube_thumbnail_downloader":true,"image_optimizer":true,"qr_code_reader":true,"exif_reader":true,"color_picker":true,"hex_to_hexa":true,"hex_to_rgb":true,"hex_to_rgba":true,"hex_to_hsv":true,"hex_to_hsl":true,"hex_to_hsla":true,"hexa_to_hex":true,"hexa_to_rgb":true,"hexa_to_rgba":true,"hexa_to_hsv":true,"hexa_to_hsl":true,"hexa_to_hsla":true,"rgb_to_hex":true,"rgb_to_hexa":true,"rgb_to_rgba":true,"rgb_to_hsv":true,"rgb_to_hsl":true,"rgb_to_hsla":true,"rgba_to_hex":true,"rgba_to_hexa":true,"rgba_to_rgb":true,"rgba_to_hsv":true,"rgba_to_hsl":true,"rgba_to_hsla":true,"hsv_to_hex":true,"hsv_to_hexa":true,"hsv_to_rgb":true,"hsv_to_rgba":true,"hsv_to_hsl":true,"hsv_to_hsla":true,"hsl_to_hex":true,"hsl_to_hexa":true,"hsl_to_rgb":true,"hsl_to_rgba":true,"hsl_to_hsv":true,"hsl_to_hsla":true,"hsla_to_hex":true,"hsla_to_hexa":true,"hsla_to_rgb":true,"hsla_to_rgba":true,"hsla_to_hsv":true,"hsla_to_hsl":true,"celsius_to_fahrenheit":true,"celsius_to_kelvin":true,"fahrenheit_to_celsius":true,"fahrenheit_to_kelvin":true,"kelvin_to_celsius":true,"kelvin_to_fahrenheit":true,"miles_to_kilometers":true,"kilometers_to_miles":true,"miles_per_hour_to_kilometers_per_hour":true,"kilometers_per_hour_to_miles_per_hour":true,"kilograms_to_pounds":true,"pounds_to_kilograms":true,"number_to_roman_numerals":true,"roman_numerals_to_number":true,"liters_to_gallons_us":true,"liters_to_gallons_imperial":true,"gallons_us_to_liters":true,"gallons_imperial_to_liters":true,"unix_timestamp_to_date":true,"date_to_unix_timestamp":true,"seconds_to_minutes":true,"seconds_to_hours":true,"seconds_to_days":true,"seconds_to_weeks":true,"seconds_to_months":true,"seconds_to_years":true,"minutes_to_seconds":true,"minutes_to_hours":true,"minutes_to_days":true,"minutes_to_weeks":true,"minutes_to_months":true,"minutes_to_years":true,"hours_to_seconds":true,"hours_to_minutes":true,"hours_to_days":true,"hours_to_weeks":true,"hours_to_months":true,"hours_to_years":true,"days_to_seconds":true,"days_to_minutes":true,"days_to_hours":true,"days_to_weeks":true,"days_to_months":true,"days_to_years":true,"weeks_to_seconds":true,"weeks_to_minutes":true,"weeks_to_hours":true,"weeks_to_days":true,"weeks_to_months":true,"weeks_to_years":true,"months_to_seconds":true,"months_to_minutes":true,"months_to_hours":true,"months_to_days":true,"months_to_weeks":true,"months_to_years":true,"years_to_seconds":true,"years_to_minutes":true,"years_to_hours":true,"years_to_days":true,"years_to_weeks":true,"years_to_months":true,"bits_to_nibbles":true,"bits_to_bytes":true,"bits_to_kilobits":true,"bits_to_kibibits":true,"bits_to_kibibytes":true,"bits_to_kilobytes":true,"bits_to_megabits":true,"bits_to_mebibits":true,"bits_to_megabytes":true,"bits_to_mebibytes":true,"bits_to_gigabits":true,"bits_to_gibibits":true,"bits_to_gigabytes":true,"bits_to_gibibytes":true,"bits_to_terabits":true,"bits_to_tebibits":true,"bits_to_terabytes":true,"bits_to_tebibytes":true,"bits_to_petabits":true,"bits_to_petabytes":true,"bits_to_pebibytes":true,"bits_to_pebibits":true,"bits_to_exabits":true,"bits_to_exbibits":true,"bits_to_exabytes":true,"bits_to_exbibytes":true,"bits_to_zettabits":true,"bits_to_zebibits":true,"bits_to_zettabytes":true,"bits_to_zebibytes":true,"bits_to_yottabits":true,"bits_to_yobibits":true,"bits_to_yottabytes":true,"bits_to_yobibytes":true,"nibbles_to_bits":true,"nibbles_to_bytes":true,"nibbles_to_kilobits":true,"nibbles_to_kibibits":true,"nibbles_to_kilobytes":true,"nibbles_to_kibibytes":true,"nibbles_to_megabits":true,"nibbles_to_mebibits":true,"nibbles_to_megabytes":true,"nibbles_to_mebibytes":true,"nibbles_to_gigabits":true,"nibbles_to_gibibits":true,"nibbles_to_gigabytes":true,"nibbles_to_gibibytes":true,"nibbles_to_terabits":true,"nibbles_to_tebibits":true,"nibbles_to_terabytes":true,"nibbles_to_tebibytes":true,"nibbles_to_petabits":true,"nibbles_to_petabytes":true,"nibbles_to_pebibytes":true,"nibbles_to_pebibits":true,"nibbles_to_exabits":true,"nibbles_to_exbibits":true,"nibbles_to_exabytes":true,"nibbles_to_exbibytes":true,"nibbles_to_zettabits":true,"nibbles_to_zebibits":true,"nibbles_to_zettabytes":true,"nibbles_to_zebibytes":true,"nibbles_to_yottabits":true,"nibbles_to_yobibits":true,"nibbles_to_yottabytes":true,"nibbles_to_yobibytes":true,"bytes_to_bits":true,"bytes_to_nibbles":true,"bytes_to_kilobits":true,"bytes_to_kibibits":true,"bytes_to_kilobytes":true,"bytes_to_kibibytes":true,"bytes_to_megabits":true,"bytes_to_mebibits":true,"bytes_to_megabytes":true,"bytes_to_mebibytes":true,"bytes_to_gigabits":true,"bytes_to_gibibits":true,"bytes_to_gigabytes":true,"bytes_to_gibibytes":true,"bytes_to_terabits":true,"bytes_to_tebibits":true,"bytes_to_terabytes":true,"bytes_to_tebibytes":true,"bytes_to_petabits":true,"bytes_to_petabytes":true,"bytes_to_pebibytes":true,"bytes_to_pebibits":true,"bytes_to_exabits":true,"bytes_to_exbibits":true,"bytes_to_exabytes":true,"bytes_to_exbibytes":true,"bytes_to_zettabits":true,"bytes_to_zebibits":true,"bytes_to_zettabytes":true,"bytes_to_zebibytes":true,"bytes_to_yottabits":true,"bytes_to_yobibits":true,"bytes_to_yottabytes":true,"bytes_to_yobibytes":true}}', NOW(),'',NOW(), '{"default_results_per_page":100,"default_order_type":"ASC","openai_api_key":"","clipdrop_api_key":"","aws_access_key":"","aws_secret_access_key":"","aws_region":""}');

-- SEPARATOR --

CREATE TABLE `users_logs` (
`id` bigint unsigned NOT NULL AUTO_INCREMENT,
`user_id` bigint unsigned DEFAULT NULL,
`type` varchar(64) DEFAULT NULL,
`ip` varchar(64) DEFAULT NULL,
`device_type` varchar(16) DEFAULT NULL,
`os_name` varchar(16) DEFAULT NULL,
`continent_code` varchar(8) DEFAULT NULL,
`country_code` varchar(8) DEFAULT NULL,
`city_name` varchar(32) DEFAULT NULL,
`browser_language` varchar(32) DEFAULT NULL,
`browser_name` varchar(32) DEFAULT NULL,
`datetime` datetime DEFAULT NULL,
PRIMARY KEY (`id`),
KEY `users_logs_user_id` (`user_id`),
KEY `users_logs_ip_type_datetime_index` (`ip`,`type`,`datetime`),
CONSTRAINT `users_logs_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `plans` (
`plan_id` int unsigned NOT NULL AUTO_INCREMENT,
`name` varchar(64) NOT NULL DEFAULT '',
`description` varchar(256) NOT NULL DEFAULT '',
`translations` text NOT NULL,
`prices` text NOT NULL,
`trial_days` int unsigned NOT NULL DEFAULT '0',
`settings` longtext NOT NULL,
`taxes_ids` text,
`color` varchar(16) DEFAULT NULL,
`status` tinyint NOT NULL,
`order` int unsigned DEFAULT '0',
`datetime` datetime NOT NULL,
PRIMARY KEY (`plan_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `pages_categories` (
`pages_category_id` bigint unsigned NOT NULL AUTO_INCREMENT,
`url` varchar(256) NOT NULL,
`title` varchar(256) NOT NULL DEFAULT '',
`description` varchar(256) DEFAULT NULL,
`icon` varchar(32) DEFAULT NULL,
`order` int NOT NULL DEFAULT '0',
`language` varchar(32) DEFAULT NULL,
`datetime` datetime DEFAULT NULL,
`last_datetime` datetime DEFAULT NULL,
PRIMARY KEY (`pages_category_id`),
KEY `url` (`url`),
KEY `pages_categories_url_language_index` (`url`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

-- SEPARATOR --

CREATE TABLE `pages` (
`page_id` bigint unsigned NOT NULL AUTO_INCREMENT,
`pages_category_id` bigint unsigned DEFAULT NULL,
`url` varchar(256) NOT NULL,
`title` varchar(256) NOT NULL DEFAULT '',
`description` varchar(256) DEFAULT NULL,
`icon` varchar(32) DEFAULT NULL,
`keywords` varchar(256) CHARACTER SET utf8mb4 DEFAULT NULL,
`editor` varchar(16) DEFAULT NULL,
`content` longtext,
`type` varchar(16) DEFAULT '',
`position` varchar(16) NOT NULL DEFAULT '',
`language` varchar(32) DEFAULT NULL,
`open_in_new_tab` tinyint DEFAULT '1',
`order` int DEFAULT '0',
`total_views` bigint unsigned DEFAULT '0',
`is_published` tinyint DEFAULT '1',
`datetime` datetime DEFAULT NULL,
`last_datetime` datetime DEFAULT NULL,
PRIMARY KEY (`page_id`),
KEY `pages_pages_category_id_index` (`pages_category_id`),
KEY `pages_url_index` (`url`),
KEY `pages_is_published_index` (`is_published`),
KEY `pages_language_index` (`language`),
CONSTRAINT `pages_ibfk_1` FOREIGN KEY (`pages_category_id`) REFERENCES `pages_categories` (`pages_category_id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

INSERT INTO `pages` (`pages_category_id`, `url`, `title`, `description`, `content`, `type`, `position`, `order`, `total_views`, `datetime`, `last_datetime`) VALUES
(NULL, 'https://altumcode.com/', 'Software by AltumCode', '', '', 'external', 'bottom', 1, 0, NOW(), NOW()),
(NULL, 'https://altumco.de/66toolkit', 'Built with 66toolkit', '', '', 'external', 'bottom', 0, 0, NOW(), NOW());

-- SEPARATOR --

CREATE TABLE `blog_posts_categories` (
`blog_posts_category_id` bigint unsigned NOT NULL AUTO_INCREMENT,
`url` varchar(256) NOT NULL,
`title` varchar(256) NOT NULL DEFAULT '',
`description` varchar(256) DEFAULT NULL,
`order` int NOT NULL DEFAULT '0',
`language` varchar(32) DEFAULT NULL,
`datetime` datetime DEFAULT NULL,
`last_datetime` datetime DEFAULT NULL,
PRIMARY KEY (`blog_posts_category_id`),
KEY `url` (`url`),
KEY `blog_posts_categories_url_language_index` (`url`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

-- SEPARATOR --

CREATE TABLE `blog_posts` (
`blog_post_id` bigint unsigned NOT NULL AUTO_INCREMENT,
`blog_posts_category_id` bigint unsigned DEFAULT NULL,
`url` varchar(256) NOT NULL,
`title` varchar(256) NOT NULL DEFAULT '',
`description` varchar(256) DEFAULT NULL,
`keywords` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`image` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`image_description` varchar(256) DEFAULT NULL,
`editor` varchar(16) DEFAULT NULL,
`content` longtext,
`language` varchar(32) DEFAULT NULL,
`total_views` bigint unsigned DEFAULT '0',
`is_published` tinyint DEFAULT '1',
`datetime` datetime DEFAULT NULL,
`last_datetime` datetime DEFAULT NULL,
PRIMARY KEY (`blog_post_id`),
KEY `blog_post_id_index` (`blog_post_id`),
KEY `blog_post_url_index` (`url`),
KEY `blog_posts_category_id` (`blog_posts_category_id`),
KEY `blog_posts_is_published_index` (`is_published`),
KEY `blog_posts_language_index` (`language`),
CONSTRAINT `blog_posts_ibfk_1` FOREIGN KEY (`blog_posts_category_id`) REFERENCES `blog_posts_categories` (`blog_posts_category_id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `broadcasts` (
`broadcast_id` bigint unsigned NOT NULL AUTO_INCREMENT,
`name` varchar(64) DEFAULT NULL,
`subject` varchar(128) DEFAULT NULL,
`content` text,
`segment` varchar(64) DEFAULT NULL,
`settings` text COLLATE utf8mb4_unicode_ci,
`users_ids` longtext CHARACTER SET utf8mb4,
`sent_users_ids` longtext,
`sent_emails` int unsigned DEFAULT '0',
`total_emails` int unsigned DEFAULT '0',
`status` varchar(16) DEFAULT NULL,
`views` bigint unsigned DEFAULT '0',
`clicks` bigint unsigned DEFAULT '0',
`last_sent_email_datetime` datetime DEFAULT NULL,
`datetime` datetime DEFAULT NULL,
`last_datetime` datetime DEFAULT NULL,
PRIMARY KEY (`broadcast_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `broadcasts_statistics` (
`id` bigint unsigned NOT NULL AUTO_INCREMENT,
`user_id` bigint unsigned DEFAULT NULL,
`broadcast_id` bigint unsigned DEFAULT NULL,
`type` varchar(16) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`target` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`datetime` datetime DEFAULT NULL,
PRIMARY KEY (`id`),
KEY `broadcast_id` (`broadcast_id`),
KEY `broadcasts_statistics_user_id_broadcast_id_type_index` (`broadcast_id`,`user_id`,`type`),
CONSTRAINT `broadcasts_statistics_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE,
CONSTRAINT `broadcasts_statistics_ibfk_2` FOREIGN KEY (`broadcast_id`) REFERENCES `broadcasts` (`broadcast_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `internal_notifications` (
`internal_notification_id` bigint unsigned NOT NULL AUTO_INCREMENT,
`user_id` bigint unsigned DEFAULT NULL,
`for_who` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`from_who` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`icon` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`title` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`description` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`url` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`is_read` tinyint unsigned DEFAULT '0',
`datetime` datetime DEFAULT NULL,
`read_datetime` datetime DEFAULT NULL,
PRIMARY KEY (`internal_notification_id`),
KEY `user_id` (`user_id`),
KEY `users_notifications_for_who_idx` (`for_who`) USING BTREE,
CONSTRAINT `internal_notifications_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `settings` (
`id` int NOT NULL AUTO_INCREMENT,
`key` varchar(64) NOT NULL DEFAULT '',
`value` longtext NOT NULL,
PRIMARY KEY (`id`),
UNIQUE KEY `key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

SET @cron_key = MD5(RAND());

-- SEPARATOR --

INSERT INTO `settings` (`key`, `value`) VALUES
('main', '{"title":"Your title","default_language":"english","default_theme_style":"light","default_timezone":"UTC","index_url":"","terms_and_conditions_url":"","privacy_policy_url":"","not_found_url":"","ai_scraping_is_allowed":true,"se_indexing":true,"display_index_plans":true,"display_index_testimonials":true,"display_index_faq":true,"display_index_latest_blog_posts":true,"default_results_per_page":100,"default_order_type":"DESC","auto_language_detection_is_enabled":true,"blog_is_enabled":false,"api_is_enabled":true,"theme_style_change_is_enabled":true,"logo_light":"37cd6629cd3513164273dfd5414a8b90.png","logo_dark":"","logo_email":"","opengraph":"","favicon":"","openai_api_key":"","openai_model":"gpt-4o","force_https_is_enabled":false,"broadcasts_statistics_is_enabled":true,"breadcrumbs_is_enabled":true,"display_pagination_when_no_pages":false,"chart_cache":12,"chart_days":30}'),
('languages', '{"english":{"status":"active"}}'),
('users', '{"email_confirmation":false,"welcome_email_is_enabled":false,"register_is_enabled":true,"register_only_social_logins":false,"register_social_login_require_password":false,"register_display_newsletter_checkbox":false,"login_rememberme_checkbox_is_checked":true,"login_rememberme_cookie_days":90,"auto_delete_unconfirmed_users":3,"auto_delete_inactive_users":30,"user_deletion_reminder":0,"blacklisted_domains":[],"blacklisted_countries":[],"login_lockout_is_enabled":true,"login_lockout_max_retries":3,"login_lockout_time":10,"lost_password_lockout_is_enabled":true,"lost_password_lockout_max_retries":3,"lost_password_lockout_time":10,"resend_activation_lockout_is_enabled":true,"resend_activation_lockout_max_retries":3,"resend_activation_lockout_time":10,"register_lockout_is_enabled":true,"register_lockout_max_registrations":3,"register_lockout_time":10}'),
('ads', '{"ad_blocker_detector_is_enabled":true,"ad_blocker_detector_lock_is_enabled":false,"ad_blocker_detector_delay":5,"header":"","footer":"","header_biolink":"","footer_biolink":"","header_splash":"","footer_splash":""}'),
('captcha', '{\"type\":\"basic\",\"recaptcha_public_key\":\"\",\"recaptcha_private_key\":\"\",\"login_is_enabled\":0,\"register_is_enabled\":0,\"lost_password_is_enabled\":0,\"resend_activation_is_enabled\":0}'),
('cron', concat('{\"key\":\"', @cron_key, '\"}')),
('email_notifications', '{"emails":"","new_user":false,"delete_user":false,"new_payment":false,"new_domain":false,"new_affiliate_withdrawal":false,"contact":false}'),
('internal_notifications', '{"users_is_enabled":true,"admins_is_enabled":true,"new_user":true,"delete_user":true,"new_newsletter_subscriber":true,"new_payment":true,"new_affiliate_withdrawal":true}'),
('content', '{"blog_is_enabled":true,"blog_share_is_enabled":true,"blog_search_widget_is_enabled":false,"blog_categories_widget_is_enabled":true,"blog_popular_widget_is_enabled":true,"blog_views_is_enabled":true,"pages_is_enabled":true,"pages_share_is_enabled":true,"pages_popular_widget_is_enabled":true,"pages_views_is_enabled":true}'),
('sso', '{"is_enabled":true,"display_menu_items":true,"websites":{}}'),
('facebook', '{"is_enabled":false,"app_id":"","app_secret":""}'),
('google', '{"is_enabled":false,"client_id":"","client_secret":""}'),
('twitter', '{"is_enabled":false,"consumer_api_key":"","consumer_api_secret":""}'),
('discord', '{"is_enabled":false,"client_id":"","client_secret":""}'),
('linkedin', '{"is_enabled":false,"client_id":"","client_secret":""}'),
('microsoft', '{"is_enabled":false,"client_id":"","client_secret":""}'),
('plan_custom', '{"plan_id":"custom","name":"Custom","description":"Contact us for enterprise pricing.","price":"Custom","custom_button_url":"mailto:sample@example.com","color":null,"status":2,"settings":{}}'),
('plan_free', '{"plan_id":"free","name":"Free","description":"","price":"Free","color":null,"status":1,"settings":{"teams_limit":0,"team_members_limit":0,"api_is_enabled":true,"affiliate_is_enabled":false,"no_ads":true,"enabled_tools":{"dns_lookup":true,"ip_lookup":true,"reverse_ip_lookup":true,"ssl_lookup":true,"whois_lookup":true,"ping":true,"http_headers_lookup":true,"safe_url_checker":true,"google_cache_checker":true,"url_redirect_checker":true,"password_strength_checker":true,"meta_tags_checker":true,"website_hosting_checker":true,"file_mime_type_checker":true,"gravatar_checker":true,"text_separator":true,"email_extractor":true,"url_extractor":true,"text_size_calculator":true,"duplicate_lines_remover":true,"text_to_speech":true,"idn_punnycode_converter":true,"case_converter":true,"character_counter":true,"list_randomizer":true,"reverse_words":true,"reverse_letters":true,"emojis_remover":true,"reverse_list":true,"list_alphabetizer":true,"upside_down_text_generator":true,"old_english_text_generator":true,"cursive_text_generator":true,"base64_encoder":true,"base64_decoder":true,"base64_to_image":true,"image_to_base64":true,"url_encoder":true,"url_decoder":true,"color_converter":true,"binary_converter":true,"hex_converter":true,"ascii_converter":true,"decimal_converter":true,"octal_converter":true,"morse_converter":true,"number_to_words_converter":true,"paypal_link_generator":true,"signature_generator":true,"mailto_link_generator":true,"utm_link_generator":true,"whatsapp_link_generator":true,"youtube_timestamp_link_generator":true,"slug_generator":true,"lorem_ipsum_generator":true,"password_generator":true,"random_number_generator":true,"uuid_v4_generator":true,"bcrypt_generator":true,"md2_generator":true,"md4_generator":true,"md5_generator":true,"whirlpool_generator":true,"sha1_generator":true,"sha224_generator":true,"sha256_generator":true,"sha384_generator":true,"sha512_generator":true,"sha512_224_generator":true,"sha512_256_generator":true,"sha3_224_generator":true,"sha3_256_generator":true,"sha3_384_generator":true,"sha3_512_generator":true,"html_minifier":true,"css_minifier":true,"js_minifier":true,"json_validator_beautifier":true,"sql_beautifier":true,"html_entity_converter":true,"bbcode_to_html":true,"markdown_to_html":true,"html_tags_remover":true,"user_agent_parser":true,"url_parser":true,"png_to_jpg":true,"png_to_webp":true,"png_to_bmp":true,"png_to_gif":true,"png_to_ico":true,"jpg_to_png":true,"jpg_to_webp":true,"jpg_to_gif":true,"jpg_to_ico":true,"jpg_to_bmp":true,"webp_to_jpg":true,"webp_to_gif":true,"webp_to_png":true,"webp_to_bmp":true,"webp_to_ico":true,"bmp_to_jpg":true,"bmp_to_gif":true,"bmp_to_png":true,"bmp_to_webp":true,"bmp_to_ico":true,"ico_to_jpg":true,"ico_to_gif":true,"ico_to_png":true,"ico_to_webp":true,"ico_to_bmp":true,"gif_to_jpg":true,"gif_to_ico":true,"gif_to_png":true,"gif_to_webp":true,"gif_to_bmp":true,"heic_to_png":true,"heic_to_gif":true,"heic_to_jpg":true,"youtube_thumbnail_downloader":true,"image_optimizer":true,"qr_code_reader":true,"exif_reader":true,"color_picker":true,"hex_to_hexa":true,"hex_to_rgb":true,"hex_to_rgba":true,"hex_to_hsv":true,"hex_to_hsl":true,"hex_to_hsla":true,"hexa_to_hex":true,"hexa_to_rgb":true,"hexa_to_rgba":true,"hexa_to_hsv":true,"hexa_to_hsl":true,"hexa_to_hsla":true,"rgb_to_hex":true,"rgb_to_hexa":true,"rgb_to_rgba":true,"rgb_to_hsv":true,"rgb_to_hsl":true,"rgb_to_hsla":true,"rgba_to_hex":true,"rgba_to_hexa":true,"rgba_to_rgb":true,"rgba_to_hsv":true,"rgba_to_hsl":true,"rgba_to_hsla":true,"hsv_to_hex":true,"hsv_to_hexa":true,"hsv_to_rgb":true,"hsv_to_rgba":true,"hsv_to_hsl":true,"hsv_to_hsla":true,"hsl_to_hex":true,"hsl_to_hexa":true,"hsl_to_rgb":true,"hsl_to_rgba":true,"hsl_to_hsv":true,"hsl_to_hsla":true,"hsla_to_hex":true,"hsla_to_hexa":true,"hsla_to_rgb":true,"hsla_to_rgba":true,"hsla_to_hsv":true,"hsla_to_hsl":true,"celsius_to_fahrenheit":true,"celsius_to_kelvin":true,"fahrenheit_to_celsius":true,"fahrenheit_to_kelvin":true,"kelvin_to_celsius":true,"kelvin_to_fahrenheit":true,"miles_to_kilometers":true,"kilometers_to_miles":true,"miles_per_hour_to_kilometers_per_hour":true,"kilometers_per_hour_to_miles_per_hour":true,"kilograms_to_pounds":true,"pounds_to_kilograms":true,"number_to_roman_numerals":true,"roman_numerals_to_number":true,"liters_to_gallons_us":true,"liters_to_gallons_imperial":true,"gallons_us_to_liters":true,"gallons_imperial_to_liters":true,"unix_timestamp_to_date":true,"date_to_unix_timestamp":true,"seconds_to_minutes":true,"seconds_to_hours":true,"seconds_to_days":true,"seconds_to_weeks":true,"seconds_to_months":true,"seconds_to_years":true,"minutes_to_seconds":true,"minutes_to_hours":true,"minutes_to_days":true,"minutes_to_weeks":true,"minutes_to_months":true,"minutes_to_years":true,"hours_to_seconds":true,"hours_to_minutes":true,"hours_to_days":true,"hours_to_weeks":true,"hours_to_months":true,"hours_to_years":true,"days_to_seconds":true,"days_to_minutes":true,"days_to_hours":true,"days_to_weeks":true,"days_to_months":true,"days_to_years":true,"weeks_to_seconds":true,"weeks_to_minutes":true,"weeks_to_hours":true,"weeks_to_days":true,"weeks_to_months":true,"weeks_to_years":true,"months_to_seconds":true,"months_to_minutes":true,"months_to_hours":true,"months_to_days":true,"months_to_weeks":true,"months_to_years":true,"years_to_seconds":true,"years_to_minutes":true,"years_to_hours":true,"years_to_days":true,"years_to_weeks":true,"years_to_months":true,"bits_to_nibbles":true,"bits_to_bytes":true,"bits_to_kilobits":true,"bits_to_kibibits":true,"bits_to_kibibytes":true,"bits_to_kilobytes":true,"bits_to_megabits":true,"bits_to_mebibits":true,"bits_to_megabytes":true,"bits_to_mebibytes":true,"bits_to_gigabits":true,"bits_to_gibibits":true,"bits_to_gigabytes":true,"bits_to_gibibytes":true,"bits_to_terabits":true,"bits_to_tebibits":true,"bits_to_terabytes":true,"bits_to_tebibytes":true,"bits_to_petabits":true,"bits_to_petabytes":true,"bits_to_pebibytes":true,"bits_to_pebibits":true,"bits_to_exabits":true,"bits_to_exbibits":true,"bits_to_exabytes":true,"bits_to_exbibytes":true,"bits_to_zettabits":true,"bits_to_zebibits":true,"bits_to_zettabytes":true,"bits_to_zebibytes":true,"bits_to_yottabits":true,"bits_to_yobibits":true,"bits_to_yottabytes":true,"bits_to_yobibytes":true,"nibbles_to_bits":true,"nibbles_to_bytes":true,"nibbles_to_kilobits":true,"nibbles_to_kibibits":true,"nibbles_to_kilobytes":true,"nibbles_to_kibibytes":true,"nibbles_to_megabits":true,"nibbles_to_mebibits":true,"nibbles_to_megabytes":true,"nibbles_to_mebibytes":true,"nibbles_to_gigabits":true,"nibbles_to_gibibits":true,"nibbles_to_gigabytes":true,"nibbles_to_gibibytes":true,"nibbles_to_terabits":true,"nibbles_to_tebibits":true,"nibbles_to_terabytes":true,"nibbles_to_tebibytes":true,"nibbles_to_petabits":true,"nibbles_to_petabytes":true,"nibbles_to_pebibytes":true,"nibbles_to_pebibits":true,"nibbles_to_exabits":true,"nibbles_to_exbibits":true,"nibbles_to_exabytes":true,"nibbles_to_exbibytes":true,"nibbles_to_zettabits":true,"nibbles_to_zebibits":true,"nibbles_to_zettabytes":true,"nibbles_to_zebibytes":true,"nibbles_to_yottabits":true,"nibbles_to_yobibits":true,"nibbles_to_yottabytes":true,"nibbles_to_yobibytes":true,"bytes_to_bits":true,"bytes_to_nibbles":true,"bytes_to_kilobits":true,"bytes_to_kibibits":true,"bytes_to_kilobytes":true,"bytes_to_kibibytes":true,"bytes_to_megabits":true,"bytes_to_mebibits":true,"bytes_to_megabytes":true,"bytes_to_mebibytes":true,"bytes_to_gigabits":true,"bytes_to_gibibits":true,"bytes_to_gigabytes":true,"bytes_to_gibibytes":true,"bytes_to_terabits":true,"bytes_to_tebibits":true,"bytes_to_terabytes":true,"bytes_to_tebibytes":true,"bytes_to_petabits":true,"bytes_to_petabytes":true,"bytes_to_pebibytes":true,"bytes_to_pebibits":true,"bytes_to_exabits":true,"bytes_to_exbibits":true,"bytes_to_exabytes":true,"bytes_to_exbibytes":true,"bytes_to_zettabits":true,"bytes_to_zebibits":true,"bytes_to_zettabytes":true,"bytes_to_zebibytes":true,"bytes_to_yottabits":true,"bytes_to_yobibits":true,"bytes_to_yottabytes":true,"bytes_to_yobibytes":true}}}'),
('plan_guest', '{"plan_id":"guest","name":"Guest","description":"","price":"Free","color":null,"status":1,"settings":{"teams_limit":0,"team_members_limit":0,"api_is_enabled":true,"affiliate_is_enabled":false,"no_ads":true,"enabled_tools":{"dns_lookup":true,"ip_lookup":true,"reverse_ip_lookup":true,"ssl_lookup":true,"whois_lookup":true,"ping":true,"http_headers_lookup":true,"safe_url_checker":true,"google_cache_checker":true,"url_redirect_checker":true,"password_strength_checker":true,"meta_tags_checker":true,"website_hosting_checker":true,"file_mime_type_checker":true,"gravatar_checker":true,"text_separator":true,"email_extractor":true,"url_extractor":true,"text_size_calculator":true,"duplicate_lines_remover":true,"text_to_speech":true,"idn_punnycode_converter":true,"case_converter":true,"character_counter":true,"list_randomizer":true,"reverse_words":true,"reverse_letters":true,"emojis_remover":true,"reverse_list":true,"list_alphabetizer":true,"upside_down_text_generator":true,"old_english_text_generator":true,"cursive_text_generator":true,"base64_encoder":true,"base64_decoder":true,"base64_to_image":true,"image_to_base64":true,"url_encoder":true,"url_decoder":true,"color_converter":true,"binary_converter":true,"hex_converter":true,"ascii_converter":true,"decimal_converter":true,"octal_converter":true,"morse_converter":true,"number_to_words_converter":true,"paypal_link_generator":true,"signature_generator":true,"mailto_link_generator":true,"utm_link_generator":true,"whatsapp_link_generator":true,"youtube_timestamp_link_generator":true,"slug_generator":true,"lorem_ipsum_generator":true,"password_generator":true,"random_number_generator":true,"uuid_v4_generator":true,"bcrypt_generator":true,"md2_generator":true,"md4_generator":true,"md5_generator":true,"whirlpool_generator":true,"sha1_generator":true,"sha224_generator":true,"sha256_generator":true,"sha384_generator":true,"sha512_generator":true,"sha512_224_generator":true,"sha512_256_generator":true,"sha3_224_generator":true,"sha3_256_generator":true,"sha3_384_generator":true,"sha3_512_generator":true,"html_minifier":true,"css_minifier":true,"js_minifier":true,"json_validator_beautifier":true,"sql_beautifier":true,"html_entity_converter":true,"bbcode_to_html":true,"markdown_to_html":true,"html_tags_remover":true,"user_agent_parser":true,"url_parser":true,"png_to_jpg":true,"png_to_webp":true,"png_to_bmp":true,"png_to_gif":true,"png_to_ico":true,"jpg_to_png":true,"jpg_to_webp":true,"jpg_to_gif":true,"jpg_to_ico":true,"jpg_to_bmp":true,"webp_to_jpg":true,"webp_to_gif":true,"webp_to_png":true,"webp_to_bmp":true,"webp_to_ico":true,"bmp_to_jpg":true,"bmp_to_gif":true,"bmp_to_png":true,"bmp_to_webp":true,"bmp_to_ico":true,"ico_to_jpg":true,"ico_to_gif":true,"ico_to_png":true,"ico_to_webp":true,"ico_to_bmp":true,"gif_to_jpg":true,"gif_to_ico":true,"gif_to_png":true,"gif_to_webp":true,"gif_to_bmp":true,"heic_to_png":true,"heic_to_gif":true,"heic_to_jpg":true,"youtube_thumbnail_downloader":true,"image_optimizer":true,"qr_code_reader":true,"exif_reader":true,"color_picker":true,"hex_to_hexa":true,"hex_to_rgb":true,"hex_to_rgba":true,"hex_to_hsv":true,"hex_to_hsl":true,"hex_to_hsla":true,"hexa_to_hex":true,"hexa_to_rgb":true,"hexa_to_rgba":true,"hexa_to_hsv":true,"hexa_to_hsl":true,"hexa_to_hsla":true,"rgb_to_hex":true,"rgb_to_hexa":true,"rgb_to_rgba":true,"rgb_to_hsv":true,"rgb_to_hsl":true,"rgb_to_hsla":true,"rgba_to_hex":true,"rgba_to_hexa":true,"rgba_to_rgb":true,"rgba_to_hsv":true,"rgba_to_hsl":true,"rgba_to_hsla":true,"hsv_to_hex":true,"hsv_to_hexa":true,"hsv_to_rgb":true,"hsv_to_rgba":true,"hsv_to_hsl":true,"hsv_to_hsla":true,"hsl_to_hex":true,"hsl_to_hexa":true,"hsl_to_rgb":true,"hsl_to_rgba":true,"hsl_to_hsv":true,"hsl_to_hsla":true,"hsla_to_hex":true,"hsla_to_hexa":true,"hsla_to_rgb":true,"hsla_to_rgba":true,"hsla_to_hsv":true,"hsla_to_hsl":true,"celsius_to_fahrenheit":true,"celsius_to_kelvin":true,"fahrenheit_to_celsius":true,"fahrenheit_to_kelvin":true,"kelvin_to_celsius":true,"kelvin_to_fahrenheit":true,"miles_to_kilometers":true,"kilometers_to_miles":true,"miles_per_hour_to_kilometers_per_hour":true,"kilometers_per_hour_to_miles_per_hour":true,"kilograms_to_pounds":true,"pounds_to_kilograms":true,"number_to_roman_numerals":true,"roman_numerals_to_number":true,"liters_to_gallons_us":true,"liters_to_gallons_imperial":true,"gallons_us_to_liters":true,"gallons_imperial_to_liters":true,"unix_timestamp_to_date":true,"date_to_unix_timestamp":true,"seconds_to_minutes":true,"seconds_to_hours":true,"seconds_to_days":true,"seconds_to_weeks":true,"seconds_to_months":true,"seconds_to_years":true,"minutes_to_seconds":true,"minutes_to_hours":true,"minutes_to_days":true,"minutes_to_weeks":true,"minutes_to_months":true,"minutes_to_years":true,"hours_to_seconds":true,"hours_to_minutes":true,"hours_to_days":true,"hours_to_weeks":true,"hours_to_months":true,"hours_to_years":true,"days_to_seconds":true,"days_to_minutes":true,"days_to_hours":true,"days_to_weeks":true,"days_to_months":true,"days_to_years":true,"weeks_to_seconds":true,"weeks_to_minutes":true,"weeks_to_hours":true,"weeks_to_days":true,"weeks_to_months":true,"weeks_to_years":true,"months_to_seconds":true,"months_to_minutes":true,"months_to_hours":true,"months_to_days":true,"months_to_weeks":true,"months_to_years":true,"years_to_seconds":true,"years_to_minutes":true,"years_to_hours":true,"years_to_days":true,"years_to_weeks":true,"years_to_months":true,"bits_to_nibbles":true,"bits_to_bytes":true,"bits_to_kilobits":true,"bits_to_kibibits":true,"bits_to_kibibytes":true,"bits_to_kilobytes":true,"bits_to_megabits":true,"bits_to_mebibits":true,"bits_to_megabytes":true,"bits_to_mebibytes":true,"bits_to_gigabits":true,"bits_to_gibibits":true,"bits_to_gigabytes":true,"bits_to_gibibytes":true,"bits_to_terabits":true,"bits_to_tebibits":true,"bits_to_terabytes":true,"bits_to_tebibytes":true,"bits_to_petabits":true,"bits_to_petabytes":true,"bits_to_pebibytes":true,"bits_to_pebibits":true,"bits_to_exabits":true,"bits_to_exbibits":true,"bits_to_exabytes":true,"bits_to_exbibytes":true,"bits_to_zettabits":true,"bits_to_zebibits":true,"bits_to_zettabytes":true,"bits_to_zebibytes":true,"bits_to_yottabits":true,"bits_to_yobibits":true,"bits_to_yottabytes":true,"bits_to_yobibytes":true,"nibbles_to_bits":true,"nibbles_to_bytes":true,"nibbles_to_kilobits":true,"nibbles_to_kibibits":true,"nibbles_to_kilobytes":true,"nibbles_to_kibibytes":true,"nibbles_to_megabits":true,"nibbles_to_mebibits":true,"nibbles_to_megabytes":true,"nibbles_to_mebibytes":true,"nibbles_to_gigabits":true,"nibbles_to_gibibits":true,"nibbles_to_gigabytes":true,"nibbles_to_gibibytes":true,"nibbles_to_terabits":true,"nibbles_to_tebibits":true,"nibbles_to_terabytes":true,"nibbles_to_tebibytes":true,"nibbles_to_petabits":true,"nibbles_to_petabytes":true,"nibbles_to_pebibytes":true,"nibbles_to_pebibits":true,"nibbles_to_exabits":true,"nibbles_to_exbibits":true,"nibbles_to_exabytes":true,"nibbles_to_exbibytes":true,"nibbles_to_zettabits":true,"nibbles_to_zebibits":true,"nibbles_to_zettabytes":true,"nibbles_to_zebibytes":true,"nibbles_to_yottabits":true,"nibbles_to_yobibits":true,"nibbles_to_yottabytes":true,"nibbles_to_yobibytes":true,"bytes_to_bits":true,"bytes_to_nibbles":true,"bytes_to_kilobits":true,"bytes_to_kibibits":true,"bytes_to_kilobytes":true,"bytes_to_kibibytes":true,"bytes_to_megabits":true,"bytes_to_mebibits":true,"bytes_to_megabytes":true,"bytes_to_mebibytes":true,"bytes_to_gigabits":true,"bytes_to_gibibits":true,"bytes_to_gigabytes":true,"bytes_to_gibibytes":true,"bytes_to_terabits":true,"bytes_to_tebibits":true,"bytes_to_terabytes":true,"bytes_to_tebibytes":true,"bytes_to_petabits":true,"bytes_to_petabytes":true,"bytes_to_pebibytes":true,"bytes_to_pebibits":true,"bytes_to_exabits":true,"bytes_to_exbibits":true,"bytes_to_exabytes":true,"bytes_to_exbibytes":true,"bytes_to_zettabits":true,"bytes_to_zebibits":true,"bytes_to_zettabytes":true,"bytes_to_zebibytes":true,"bytes_to_yottabits":true,"bytes_to_yobibits":true,"bytes_to_yottabytes":true,"bytes_to_yobibytes":true}}}'),
('payment', '{"is_enabled":false,"type":"both","default_payment_frequency":"monthly","currencies":{"USD":{"code":"USD","symbol":"$","default_payment_processor":"offline_payment"}},"default_currency":"USD","codes_is_enabled":true,"taxes_and_billing_is_enabled":true,"invoice_is_enabled":true,"user_plan_expiry_reminder":0,"user_plan_expiry_checker_is_enabled":0,"currency_exchange_api_key":""}'),
('paypal', '{\"is_enabled\":\"0\",\"mode\":\"sandbox\",\"client_id\":\"\",\"secret\":\"\"}'),
('stripe', '{\"is_enabled\":\"0\",\"publishable_key\":\"\",\"secret_key\":\"\",\"webhook_secret\":\"\"}'),
('offline_payment', '{\"is_enabled\":\"0\",\"instructions\":\"Your offline payment instructions go here..\"}'),
('coinbase', '{"is_enabled":false,"api_key":"","webhook_secret":"","currencies":["USD"]}'),
('payu', '{"is_enabled":false,"mode":"sandbox","merchant_pos_id":"","signature_key":"","oauth_client_id":"","oauth_client_secret":"","currencies":["USD"]}'),
('iyzico', '{"is_enabled":false,"mode":"live","api_key":"","secret_key":"","currencies":["USD"]}'),
('paystack', '{"is_enabled":false,"public_key":"","secret_key":"","currencies":["USD"]}'),
('razorpay', '{"is_enabled":false,"key_id":"","key_secret":"","webhook_secret":"","currencies":["USD"]}'),
('mollie', '{"is_enabled":false,"api_key":""}'),
('yookassa', '{"is_enabled":false,"shop_id":"","secret_key":""}'),
('crypto_com', '{"is_enabled":false,"publishable_key":"","secret_key":"","webhook_secret":""}'),
('paddle', '{"is_enabled":false,"mode":"sandbox","vendor_id":"","api_key":"","public_key":"","currencies":["USD"]}'),
('mercadopago', '{"is_enabled":false,"access_token":"","currencies":["USD"]}'),
('midtrans', '{"is_enabled":false,"server_key":"","mode":"sandbox","currencies":["USD"]}'),
('flutterwave', '{"is_enabled":false,"secret_key":"","currencies":["USD"]}'),
('smtp', '{"from_name":"AltumCode","from":"","reply_to_name":"","reply_to":"","cc":"","bcc":"","host":"","encryption":"tls","port":"","auth":0,"username":"","password":"","display_socials":false,"company_details":""}'),
('theme', '{"light_is_enabled": false, "dark_is_enabled": false}'),
('custom', '{"body_content":"","head_js":"","head_css":""}'),
('socials', '{"threads":"","youtube":"","facebook":"","x":"","instagram":"","tiktok":"","linkedin":"","whatsapp":"","email":""}'),
('announcements', '{"guests_is_enabled":0,"guests_id":"035cc337f6de075434bc24807b7ad9af","guests_content":"","guests_text_color":"#000000","guests_background_color":"#000000","users_is_enabled":0,"users_id":"035cc337f6de075434bc24807b7ad9af","users_content":"","users_text_color":"#000000","users_background_color":"#000000","translations":{"english":{"guests_content":"","users_content":""}}}'),
('business', '{\"brand_name\":\"66toolkit\",\"invoice_nr_prefix\":\"INVOICE-\",\"name\":\"\",\"address\":\"\",\"city\":\"\",\"county\":\"\",\"zip\":\"\",\"country\":\"AF\",\"email\":\"\",\"phone\":\"\",\"tax_type\":\"\",\"tax_id\":\"\",\"custom_key_one\":\"\",\"custom_value_one\":\"\",\"custom_key_two\":\"\",\"custom_value_two\":\"\"}'),
('webhooks', '{"user_new":"","user_delete":"","payment_new":"","code_redeemed":"","contact":"","cron_start":"","cron_end":"","domain_new":"","domain_update":""}'),
('tools', '{"available_tools":{"dns_lookup":true,"ip_lookup":true,"reverse_ip_lookup":true,"ssl_lookup":true,"whois_lookup":true,"ping":true,"http_headers_lookup":true,"safe_url_checker":true,"google_cache_checker":true,"url_redirect_checker":true,"password_strength_checker":true,"meta_tags_checker":true,"website_hosting_checker":true,"file_mime_type_checker":true,"gravatar_checker":true,"text_separator":true,"email_extractor":true,"url_extractor":true,"text_size_calculator":true,"duplicate_lines_remover":true,"text_to_speech":true,"idn_punnycode_converter":true,"case_converter":true,"character_counter":true,"list_randomizer":true,"reverse_words":true,"reverse_letters":true,"emojis_remover":true,"reverse_list":true,"list_alphabetizer":true,"upside_down_text_generator":true,"old_english_text_generator":true,"cursive_text_generator":true,"base64_encoder":true,"base64_decoder":true,"base64_to_image":true,"image_to_base64":true,"url_encoder":true,"url_decoder":true,"color_converter":true,"binary_converter":true,"hex_converter":true,"ascii_converter":true,"decimal_converter":true,"octal_converter":true,"morse_converter":true,"number_to_words_converter":true,"paypal_link_generator":true,"signature_generator":true,"mailto_link_generator":true,"utm_link_generator":true,"whatsapp_link_generator":true,"youtube_timestamp_link_generator":true,"slug_generator":true,"lorem_ipsum_generator":true,"password_generator":true,"random_number_generator":true,"uuid_v4_generator":true,"bcrypt_generator":true,"md2_generator":true,"md4_generator":true,"md5_generator":true,"whirlpool_generator":true,"sha1_generator":true,"sha224_generator":true,"sha256_generator":true,"sha384_generator":true,"sha512_generator":true,"sha512_224_generator":true,"sha512_256_generator":true,"sha3_224_generator":true,"sha3_256_generator":true,"sha3_384_generator":true,"sha3_512_generator":true,"html_minifier":true,"css_minifier":true,"js_minifier":true,"json_validator_beautifier":true,"sql_beautifier":true,"html_entity_converter":true,"bbcode_to_html":true,"markdown_to_html":true,"html_tags_remover":true,"user_agent_parser":true,"url_parser":true,"png_to_jpg":true,"png_to_webp":true,"png_to_bmp":true,"png_to_gif":true,"png_to_ico":true,"jpg_to_png":true,"jpg_to_webp":true,"jpg_to_gif":true,"jpg_to_ico":true,"jpg_to_bmp":true,"webp_to_jpg":true,"webp_to_gif":true,"webp_to_png":true,"webp_to_bmp":true,"webp_to_ico":true,"bmp_to_jpg":true,"bmp_to_gif":true,"bmp_to_png":true,"bmp_to_webp":true,"bmp_to_ico":true,"ico_to_jpg":true,"ico_to_gif":true,"ico_to_png":true,"ico_to_webp":true,"ico_to_bmp":true,"gif_to_jpg":true,"gif_to_ico":true,"gif_to_png":true,"gif_to_webp":true,"gif_to_bmp":true,"heic_to_png":true,"heic_to_gif":true,"heic_to_jpg":true,"youtube_thumbnail_downloader":true,"image_optimizer":true,"qr_code_reader":true,"exif_reader":true,"color_picker":true,"hex_to_hexa":true,"hex_to_rgb":true,"hex_to_rgba":true,"hex_to_hsv":true,"hex_to_hsl":true,"hex_to_hsla":true,"hexa_to_hex":true,"hexa_to_rgb":true,"hexa_to_rgba":true,"hexa_to_hsv":true,"hexa_to_hsl":true,"hexa_to_hsla":true,"rgb_to_hex":true,"rgb_to_hexa":true,"rgb_to_rgba":true,"rgb_to_hsv":true,"rgb_to_hsl":true,"rgb_to_hsla":true,"rgba_to_hex":true,"rgba_to_hexa":true,"rgba_to_rgb":true,"rgba_to_hsv":true,"rgba_to_hsl":true,"rgba_to_hsla":true,"hsv_to_hex":true,"hsv_to_hexa":true,"hsv_to_rgb":true,"hsv_to_rgba":true,"hsv_to_hsl":true,"hsv_to_hsla":true,"hsl_to_hex":true,"hsl_to_hexa":true,"hsl_to_rgb":true,"hsl_to_rgba":true,"hsl_to_hsv":true,"hsl_to_hsla":true,"hsla_to_hex":true,"hsla_to_hexa":true,"hsla_to_rgb":true,"hsla_to_rgba":true,"hsla_to_hsv":true,"hsla_to_hsl":true,"celsius_to_fahrenheit":true,"celsius_to_kelvin":true,"fahrenheit_to_celsius":true,"fahrenheit_to_kelvin":true,"kelvin_to_celsius":true,"kelvin_to_fahrenheit":true,"miles_to_kilometers":true,"kilometers_to_miles":true,"miles_per_hour_to_kilometers_per_hour":true,"kilometers_per_hour_to_miles_per_hour":true,"kilograms_to_pounds":true,"pounds_to_kilograms":true,"number_to_roman_numerals":true,"roman_numerals_to_number":true,"liters_to_gallons_us":true,"liters_to_gallons_imperial":true,"gallons_us_to_liters":true,"gallons_imperial_to_liters":true,"unix_timestamp_to_date":true,"date_to_unix_timestamp":true,"seconds_to_minutes":true,"seconds_to_hours":true,"seconds_to_days":true,"seconds_to_weeks":true,"seconds_to_months":true,"seconds_to_years":true,"minutes_to_seconds":true,"minutes_to_hours":true,"minutes_to_days":true,"minutes_to_weeks":true,"minutes_to_months":true,"minutes_to_years":true,"hours_to_seconds":true,"hours_to_minutes":true,"hours_to_days":true,"hours_to_weeks":true,"hours_to_months":true,"hours_to_years":true,"days_to_seconds":true,"days_to_minutes":true,"days_to_hours":true,"days_to_weeks":true,"days_to_months":true,"days_to_years":true,"weeks_to_seconds":true,"weeks_to_minutes":true,"weeks_to_hours":true,"weeks_to_days":true,"weeks_to_months":true,"weeks_to_years":true,"months_to_seconds":true,"months_to_minutes":true,"months_to_hours":true,"months_to_days":true,"months_to_weeks":true,"months_to_years":true,"years_to_seconds":true,"years_to_minutes":true,"years_to_hours":true,"years_to_days":true,"years_to_weeks":true,"years_to_months":true,"bits_to_nibbles":true,"bits_to_bytes":true,"bits_to_kilobits":true,"bits_to_kibibits":true,"bits_to_kibibytes":true,"bits_to_kilobytes":true,"bits_to_megabits":true,"bits_to_mebibits":true,"bits_to_megabytes":true,"bits_to_mebibytes":true,"bits_to_gigabits":true,"bits_to_gibibits":true,"bits_to_gigabytes":true,"bits_to_gibibytes":true,"bits_to_terabits":true,"bits_to_tebibits":true,"bits_to_terabytes":true,"bits_to_tebibytes":true,"bits_to_petabits":true,"bits_to_petabytes":true,"bits_to_pebibytes":true,"bits_to_pebibits":true,"bits_to_exabits":true,"bits_to_exbibits":true,"bits_to_exabytes":true,"bits_to_exbibytes":true,"bits_to_zettabits":true,"bits_to_zebibits":true,"bits_to_zettabytes":true,"bits_to_zebibytes":true,"bits_to_yottabits":true,"bits_to_yobibits":true,"bits_to_yottabytes":true,"bits_to_yobibytes":true,"nibbles_to_bits":true,"nibbles_to_bytes":true,"nibbles_to_kilobits":true,"nibbles_to_kibibits":true,"nibbles_to_kilobytes":true,"nibbles_to_kibibytes":true,"nibbles_to_megabits":true,"nibbles_to_mebibits":true,"nibbles_to_megabytes":true,"nibbles_to_mebibytes":true,"nibbles_to_gigabits":true,"nibbles_to_gibibits":true,"nibbles_to_gigabytes":true,"nibbles_to_gibibytes":true,"nibbles_to_terabits":true,"nibbles_to_tebibits":true,"nibbles_to_terabytes":true,"nibbles_to_tebibytes":true,"nibbles_to_petabits":true,"nibbles_to_petabytes":true,"nibbles_to_pebibytes":true,"nibbles_to_pebibits":true,"nibbles_to_exabits":true,"nibbles_to_exbibits":true,"nibbles_to_exabytes":true,"nibbles_to_exbibytes":true,"nibbles_to_zettabits":true,"nibbles_to_zebibits":true,"nibbles_to_zettabytes":true,"nibbles_to_zebibytes":true,"nibbles_to_yottabits":true,"nibbles_to_yobibits":true,"nibbles_to_yottabytes":true,"nibbles_to_yobibytes":true,"bytes_to_bits":true,"bytes_to_nibbles":true,"bytes_to_kilobits":true,"bytes_to_kibibits":true,"bytes_to_kilobytes":true,"bytes_to_kibibytes":true,"bytes_to_megabits":true,"bytes_to_mebibits":true,"bytes_to_megabytes":true,"bytes_to_mebibytes":true,"bytes_to_gigabits":true,"bytes_to_gibibits":true,"bytes_to_gigabytes":true,"bytes_to_gibibytes":true,"bytes_to_terabits":true,"bytes_to_tebibits":true,"bytes_to_terabytes":true,"bytes_to_tebibytes":true,"bytes_to_petabits":true,"bytes_to_petabytes":true,"bytes_to_pebibytes":true,"bytes_to_pebibits":true,"bytes_to_exabits":true,"bytes_to_exbibits":true,"bytes_to_exabytes":true,"bytes_to_exbibytes":true,"bytes_to_zettabits":true,"bytes_to_zebibits":true,"bytes_to_zettabytes":true,"bytes_to_zebibytes":true,"bytes_to_yottabits":true,"bytes_to_yobibits":true,"bytes_to_yottabytes":true,"bytes_to_yobibytes":true},"google_safe_browsing_is_enabled":false,"google_safe_browsing_api_key":""}'),
('cookie_consent', '{"is_enabled":false,"logging_is_enabled":false,"necessary_is_enabled":true,"analytics_is_enabled":true,"targeting_is_enabled":true,"layout":"bar","position_y":"middle","position_x":"center"}'),
('license', '{\"license\":\"nullcave.pro\",\"type\":\"Extended License\"}'),
('product_info', '{\"version\":\"29.0.0\", \"code\":\"2900\"}');

-- SEPARATOR --

CREATE TABLE `projects` (
`project_id` bigint unsigned NOT NULL AUTO_INCREMENT,
`user_id` bigint unsigned DEFAULT NULL,
`name` varchar(128) DEFAULT NULL,
`color` varchar(16) DEFAULT '#000',
`last_datetime` datetime DEFAULT NULL,
`datetime` datetime DEFAULT NULL,
PRIMARY KEY (`project_id`),
UNIQUE KEY `project_id` (`project_id`),
KEY `user_id` (`user_id`),
CONSTRAINT `projects_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- SEPARATOR --

CREATE TABLE `tools_usage` (
`id` bigint unsigned NOT NULL AUTO_INCREMENT,
`tool_id` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
`total_views` bigint unsigned DEFAULT '0',
PRIMARY KEY (`id`),
UNIQUE KEY `tools_usage_tool_id_idx` (`tool_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `codes` (
  `code_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL,
  `type` varchar(16) DEFAULT NULL,
  `days` int(11) UNSIGNED DEFAULT NULL,
  `code` varchar(32) NOT NULL DEFAULT '',
  `discount` int(11) UNSIGNED NOT NULL,
  `quantity` int(11) UNSIGNED NOT NULL DEFAULT '1',
  `redeemed` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `plans_ids` text DEFAULT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY (`code_id`),
  KEY `type` (`type`),
  KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `payments` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) UNSIGNED DEFAULT NULL,
  `plan_id` int(10) UNSIGNED DEFAULT NULL,
  `processor` varchar(16) DEFAULT NULL,
  `type` varchar(16) DEFAULT NULL,
  `frequency` varchar(16) DEFAULT NULL,
  `payment_id` varchar(128) DEFAULT NULL,
  `email` varchar(256) DEFAULT NULL,
  `name` varchar(256) DEFAULT NULL,
  `plan` text,
  `billing` text,
  `business` text,
  `taxes_ids` text,
  `base_amount` float DEFAULT NULL,
  `total_amount` float DEFAULT NULL,
  `total_amount_default_currency` float DEFAULT NULL,
  `code` varchar(32) DEFAULT NULL,
  `discount_amount` float DEFAULT NULL,
  `currency` varchar(4) DEFAULT NULL,
  `payment_proof` varchar(40) DEFAULT NULL,
  `status` tinyint(4) DEFAULT '1',
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `payments_user_id` (`user_id`),
  KEY `plan_id` (`plan_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `redeemed_codes` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `code_id` int(10) UNSIGNED NOT NULL,
  `user_id` bigint(20) UNSIGNED NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `code_id` (`code_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

CREATE TABLE `taxes` (
  `tax_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL,
  `description` varchar(256) DEFAULT NULL,
  `value` int(11) DEFAULT NULL,
  `value_type` enum('percentage','fixed') DEFAULT NULL,
  `type` enum('inclusive','exclusive') DEFAULT NULL,
  `billing_type` enum('personal','business','both') DEFAULT NULL,
  `countries` text,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`tax_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- SEPARATOR --

ALTER TABLE `payments`
  ADD CONSTRAINT `payments_plans_plan_id_fk` FOREIGN KEY (`plan_id`) REFERENCES `plans` (`plan_id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `payments_users_user_id_fk` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON DELETE SET NULL ON UPDATE CASCADE;

-- SEPARATOR --

ALTER TABLE `redeemed_codes`
  ADD CONSTRAINT `redeemed_codes_ibfk_1` FOREIGN KEY (`code_id`) REFERENCES `codes` (`code_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `redeemed_codes_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;

-- SEPARATOR --

CREATE TABLE `affiliates_commissions` (
  `affiliate_commission_id` bigint(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` bigint(11) UNSIGNED DEFAULT NULL,
  `referred_user_id` bigint(11) UNSIGNED DEFAULT NULL,
  `payment_id` bigint(11) UNSIGNED DEFAULT NULL,
  `amount` float DEFAULT NULL,
  `currency` varchar(4) DEFAULT NULL,
  `is_withdrawn` tinyint(4) UNSIGNED DEFAULT '0',
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`affiliate_commission_id`),
  UNIQUE KEY `affiliate_commission_id` (`affiliate_commission_id`),
  KEY `user_id` (`user_id`),
  KEY `referred_user_id` (`referred_user_id`),
  KEY `payment_id` (`payment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- SEPARATOR --

CREATE TABLE `affiliates_withdrawals` (
  `affiliate_withdrawal_id` bigint(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` bigint(11) UNSIGNED DEFAULT NULL,
  `amount` float DEFAULT NULL,
  `currency` varchar(4) DEFAULT NULL,
  `note` varchar(1024) DEFAULT NULL,
  `affiliate_commissions_ids` text,
  `is_paid` tinyint(4) UNSIGNED DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`affiliate_withdrawal_id`),
  UNIQUE KEY `affiliate_withdrawal_id` (`affiliate_withdrawal_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- SEPARATOR --

ALTER TABLE `affiliates_commissions`
  ADD CONSTRAINT `affiliates_commissions_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `affiliates_commissions_ibfk_2` FOREIGN KEY (`referred_user_id`) REFERENCES `users` (`user_id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `affiliates_commissions_ibfk_3` FOREIGN KEY (`payment_id`) REFERENCES `payments` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
