<?php defined('ALTUMCODE') || die() ?>

<?php if(settings()->tools->similar_widget_is_enabled && count($data->tools[$data->tool]['similar'] ?? [])): ?>
    <div class="mt-5">
        <h2 class="h4 mb-4"><?= l('tools.similar_tools') ?></h2>

        <div class="row" id="similar_tools">
            <?php foreach($data->tools[$data->tool]['similar'] as $key): ?>
                <?php if(settings()->tools->available_tools->{$key} && $this->user->plan_settings->enabled_tools->{$key}): ?>

                    <?php if(isset($data->tools[$key]['category']) && in_array($data->tools[$key]['category'], ['data_converter_tools', 'length_converter_tools', 'image_manipulation_tools', 'weight_converter_tools', 'volume_converter_tools', 'time_converter_tools', 'area_converter_tools', 'force_converter_tools',])): ?>
                        <?php
                        /* Process the tool */
                        $exploded = explode('_to_', $key);
                        $from = $exploded[0];
                        $to = $exploded[1];

                        $name = sprintf(l('tools.' . $data->tools[$key]['category'] . '.name'), l('tools.' . $from), l('tools.' . $to));
                        $description = sprintf(l('tools.' . $data->tools[$key]['category'] . '.description'), l('tools.' . $from), l('tools.' . $to));
                        ?>
                    <?php else: ?>
                        <?php
                        $name = l('tools.' . $key . '.name');
                        $description = l('tools.' . $key . '.description') ;
                        ?>
                    <?php endif ?>

                    <div class="col-12 col-lg-6 p-3 position-relative" data-tool-id="<?= $key ?>" data-tool-name="<?= $name ?>">
                        <div class="card d-flex flex-row h-100 overflow-hidden <?= $this->user->plan_settings->enabled_tools->{$key} ? null : 'container-disabled' ?>" <?= $this->user->plan_settings->enabled_tools->{$key} ? null : 'data-toggle="tooltip" title="' . l('global.info_message.plan_feature_no_access') . '"' ?>>
                            <div class="px-3 d-flex flex-column justify-content-center">
                                <div class="bg-primary-100 d-flex align-items-center justify-content-center rounded tool-icon">
                                    <i class="<?= $data->tools[$key]['icon'] ?> fa-fw text-primary-600"></i>
                                </div>
                            </div>

                            <div class="card-body text-truncate">
                                <a href="<?= url(str_replace('_', '-', $key)) ?>" class="stretched-link text-decoration-none">
                                    <strong><?= $name ?></strong>
                                </a>
                                <p class="text-truncate small m-0"><?= $description ?></p>
                            </div>

                            <?php if(settings()->tools->views_is_enabled): ?>
                                <div class="p-3">
                                    <div class="badge badge-gray-100" data-toggle="tooltip" title="<?= l('tools.total_views') ?>">
                                        <i class="fas fa-fw fa-sm fa-eye mr-1"></i> <?= nr($data->tools_usage[$key]->total_views ?? 0) ?>
                                    </div>
                                </div>
                            <?php endif ?>
                        </div>
                    </div>
                <?php endif ?>
            <?php endforeach ?>
        </div>
    </div>
<?php endif ?>
